summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author mario <mario@slackverse.org>2010-03-16 14:32:21 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 13:31:35 +0200
commitd98b228ce2ed7d65b517491652af73bd95a87c42 (patch)
treeb0eaa6e5f9d9959e81c21aa910d40b42a8915dd2
parent163760a956a169634fd309b5c5c27ae24cd5a407 (diff)
downloadslackbuilds-d98b228ce2ed7d65b517491652af73bd95a87c42.tar.gz
slackbuilds-d98b228ce2ed7d65b517491652af73bd95a87c42.tar.xz
network/verlihub: Added.
Verlihub is a Direct Connect protocol server. Thanks to "mario".
-rw-r--r--network/verlihub/README14
-rw-r--r--network/verlihub/slack-desc19
-rwxr-xr-xnetwork/verlihub/verlihub.SlackBuild97
-rw-r--r--network/verlihub/verlihub.info10
4 files changed, 140 insertions, 0 deletions
diff --git a/network/verlihub/README b/network/verlihub/README
new file mode 100644
index 0000000000..8c7489936c
--- /dev/null
+++ b/network/verlihub/README
@@ -0,0 +1,14 @@
+Verlihub - Direct Connect server
+
+Verlihub is a Direct Connect protocol server that runs on Linux OS,
+written in C++; Many features are available: MySQL database, very
+low use of CPU, RAM & Bandwidth, deflood integrated protection,
+plugins (LUA, forbidden, ip-log, funny, messenger & chatroom) and
+MORE, MORE AND MORE...
+
+Requirements: GeoIP (can also be found on slackbuilds.org)
+
+If you don't want to run verlihub as root and still use port 411,
+get authbind (can also be found on slackbuilds.org)
+
+More info on website: http://www.verlihub-project.org
diff --git a/network/verlihub/slack-desc b/network/verlihub/slack-desc
new file mode 100644
index 0000000000..86f3a6da1c
--- /dev/null
+++ b/network/verlihub/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+verlihub: Verlihub (Direct Connect server)
+verlihub:
+verlihub: Verlihub is a Direct Connect protocol server that runs on Linux OS,
+verlihub: written in C++; Many features are available: MySQL database, very
+verlihub: low use of CPU, RAM & Bandwidth, deflood integrated protection,
+verlihub: plugins (LUA, forbidden, ip-log, funny, messenger & chatroom) and
+verlihub: MORE, MORE AND MORE...
+verlihub:
+verlihub:
+verlihub: More info on website: http://www.verlihub-project.org
+verlihub:
diff --git a/network/verlihub/verlihub.SlackBuild b/network/verlihub/verlihub.SlackBuild
new file mode 100755
index 0000000000..98ac5bf748
--- /dev/null
+++ b/network/verlihub/verlihub.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for Verlihub
+
+# Copyright 2010, mario <mario@slackverse.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=verlihub
+VERSION=${VERSION:-0.9.8e_r2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Temporary package version, for source to unpack successfuly
+TMPVER=${TMPVER:-0.9.8e-r2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$TMPVER
+tar jxvf $CWD/$PRGNAM-$TMPVER.tar.bz2
+cd $PRGNAM-$TMPVER
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING ChangeLog INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/verlihub/verlihub.info b/network/verlihub/verlihub.info
new file mode 100644
index 0000000000..2d78b15fbd
--- /dev/null
+++ b/network/verlihub/verlihub.info
@@ -0,0 +1,10 @@
+PRGNAM="verlihub"
+VERSION="0.9.8e-r2"
+HOMEPAGE="www.verlihub-project.org"
+DOWNLOAD="http://www.verlihub-project.org/download/verlihub-0.9.8e-r2.tar.bz2"
+MD5SUM="8d2bc96d4b58a38076958395fc9a0ea9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="mario"
+EMAIL="mario@slackverse.org"
+APPROVED="Erik Hanson"